
Infrastructure - Task #1707

Story # 1705 (Closed): Create test subdomain 

Create a Certificate Authority for test.dataone.org

2011-08-22 19:11 - Dave Vieglais

Status: Closed Start date: 2011-08-22

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Need to setup and secure a certificate authority that will act as the root for test.dataone.org

This will be used to sign a wildcard cert "*.test.dataone.org" to be handed off to the servers as necessary.

It will also be used to act as the root for long lived test client certificates for testing authenticated access between nodes.

History

#1 - 2011-08-22 19:16 - Matthew Jones

I suggest that this be a CA for dataone.org, which can then be used to sign certificates for *.test.dataone.org servers as well as others if we decide to

do so later.

#2 - 2011-08-23 17:46 - Dave Vieglais

- Assignee changed from Rob Nahf to Roger Dahl

#3 - 2011-08-23 19:14 - Roger Dahl

- Status changed from New to Closed

- Target version set to Sprint-2011.34-Block.5
